Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: Tobias Bading <[email-masked]>
Date: Wed, 30 May 2012 17:30:55 +0200

On 30.05.2012, at 16:15, Chong Yidong wrote:
> Tobias Bading <[email-masked]> writes:
> 
>> Marking the start of a region with C-SPC and then using a simple mouse
>> click to mark the end doesn't work anymore, because clicking anywhere
>> seems to set the mark now.  My muscle memory, trained over decades by
>> Emacs 23 and its predecessors, doesn't like this change.
>> 
>> Is there a customization option that I've overlooked which prevents
>> <down-mouse-1> (or is it <mouse-1>?) from setting the mark?
> 
> mouse-1 does not set the mark, but it does deactivate the mark if the
> mark was active.  But that is the case in both Emacs 23 and Emacs 24, so
> I don't know what you're talking about.

Umm... emacs -Q:
C-h v mark-ring RET shows that mark-ring is initially nil.
Now click <n> times with the left mouse button somewhere in the *scratch* buffer.
Now mark-ring contains <n-1> elements.

Am I missing or misinterpreting something here?
C-SPC, left mouse click somewhere, then C-w doesn't kill anything. In Emacs 23, it did.